package edu.jhu.cs.oose.group3.intelligentbook.model;

import java.util.Set;

/**
 * Represents a group of contacts
 * This group is associated with and maintained by a particular user
 */
public abstract class ContactGroup {
private String name;

public String getGroupName() {
	return name;
}
/** The user can rename a group */
public void setGroupName(String name) {
	this.name = name;
}

/** Returns whether or not the specified contact is in the group */
public abstract boolean hasContact(Contact c);

/** Return a set of all contacts in the group */
public abstract Set<Contact> getAllContacts();

}
