package edu.jhu.cs.oose.group3.intelligentbook.model;

/** Represents a contact item that can have more than one instance in a contact.
 *  Since there can be multiple nonsingular contact items, it makes sense to assign a type to each one*/
public abstract class NonsingularContactItem {
	/** Get the type of this contact item*/
	public abstract String getType();
	/** Set the type of this contact item*/
	public abstract void setType(String type);
}
